Check your key
/meWho the key belongs to, its mode and permissions, and your tier. The quickest way to test a key.
Needs catalog:read, which every key has.
Request
curl https://moatdmgiftstore.com/api/v1/me \
-H "Authorization: Bearer $MOATDM_API_KEY"Response · 200
{
"partner": {
"id": "3b0d5f2e-7c41-4a8e-9b6d-2f1e8a7c5d90",
"business_name": "Kashora",
"tier": "starter",
"discount_percent": 0
},
"key": {
"id": "8c2e4a1b-5d3f-4e6a-8b7c-9d0e1f2a3b4c",
"name": "Backend",
"mode": "test",
"prefix": "mdm_test_Ab12Cd",
"scopes": [
"catalog:read",
"wallet:read",
"orders:write"
]
}
}Can fail with missing_key, invalid_key, key_revoked, partner_not_active, rate_limited.